Foreman - Bug #32959

Registration migration - Unassign OS from registration templates
07/08/2021 08:15 AM - Leos Stejskal

Status: Closed
Priority: Normal
Assignee: Leos Stejskal
Category: Host registration
Target version: 252
Difficulty: Fixed in Releases: 2.5.2,3.0.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/8645
Description

Operating systems cannot be assigned to registration templates,
so the migration file should also remove these associations.

How to reproduce the issue

e Checkout 2.4-stable branch

¢ Assign OS to registration template

e Checkout develop branch

Run rails db:migrate & then rails db:seed

ActiveRecord: :RecordInvalid:
Validation failed: Operatingsystems can't assign operating system to Registration template

From https://community.theforeman.org/t/foreman-update-2-5-1-foreman-rake-db-seed-fails/24242

Related issues:
Related to Foreman - Feature #31663: Usability issues with templates & operat... Closed
Related to Foreman - Bug #33269: Error in db:seed after 3.0.0rc1 upgrade Resolved

Associated revisions

Revision 9499e273 - 07/14/2021 04:09 PM - Leos Stejskal
Fixes #32959 - Unassign OS in registration migration

Operating systems cannot be assigned to registration templates,
so the migration file should also remove these associations.

History

#1 - 07/08/2021 08:16 AM - Leos Stejskal
- Related to Feature #31663: Usability issues with templates & operating systems added

#2 - 07/08/2021 08:18 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/8645 added

#3 - 07/08/2021 08:20 AM - Tomer Brisker

- Target version set to 2.5.2

#4 - 07/14/2021 04:09 PM - The Foreman Bot
- Fixed in Releases 3.0.0 added

#5 - 07/14/2021 04:11 PM - Tomer Brisker
https://community.theforeman.org/t/foreman-update-2-5-1-foreman-rake-db-seed-fails/24242

- Fixed in Releases 2.5.2 added

#6 - 07/14/2021 05:08 PM - Leos Stejskal
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|9499e27300891da96f834499{8220c2d22acd96f.

#7 - 08/17/2021 10:03 AM - Tomer Brisker
- Related to Bug #33269: Error in db:seed after 3.0.0rc1 upgrade added
